跳至內容

Omnilottie

整合

模型 id omnilottie
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/omnilottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.05 50 API 點數 · ≈ ₽5.23 在此頁面執行

取得 API 金鑰
Open model · 檔案

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 2000

描述所需 Lottie 動畫的文字。

進階 max_tokens · temperature · top_p · top_k
預設 4096

生成的 Lottie Token 上限。

預設 0.9

生成期間取樣時使用的 Temperature。

預設 0.25

核心取樣的機率門檻。

預設 5

Top-k 取樣設定。

POST /run/omnilottie?wait=20 報價 → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/omnilottie?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Omnilottie

從最多 2,000 個字元的文字 `prompt` 生成 Lottie 動畫,並以 JSON 檔案傳回。生成由 `max_tokens`(256 到 8192)、`temperature`、`top_p` 和 `top_k` 控制。不接受影像或影片輸入。

參數

名稱類型 預設值允許值 說明
prompt必填
類型string
≤ 2,000 個字元
描述所需 Lottie 動畫的文字。
max_tokens選填
類型integer
預設值4096
256 – 8,192
生成的 Lottie Token 上限。
temperature選填
類型number
預設值0.9
0 – 2
生成期間取樣時使用的 Temperature。
top_p選填
類型number
預設值0.25
0 – 1
核心取樣的機率門檻。
top_k選填
類型integer
預設值5
1 – 100
Top-k 取樣設定。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "omnilottie",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "lottie_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
lottie_file
object {url, content_type, file_name, file_size}包含生成之 Lottie 動畫的 JSON 檔案。

更多模型:其他

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/omnilottie.md. 所有模型與指南: https://doitong.com/developers/llms.txt